Start Sign in with Mysoleas
curl --request GET \
--url https://account.mysoleas.com/oauth/v2/authorizeimport requests
url = "https://account.mysoleas.com/oauth/v2/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://account.mysoleas.com/oauth/v2/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://account.mysoleas.com/oauth/v2/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://account.mysoleas.com/oauth/v2/authorize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://account.mysoleas.com/oauth/v2/authorize")
.asString();require 'uri'
require 'net/http'
url = URI("https://account.mysoleas.com/oauth/v2/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyMysoleas Identity Cloud
Authorize a sign-in
Redirect a user to Sign in with Mysoleas with OAuth2 and PKCE.
GET
/
oauth
/
v2
/
authorize
Start Sign in with Mysoleas
curl --request GET \
--url https://account.mysoleas.com/oauth/v2/authorizeimport requests
url = "https://account.mysoleas.com/oauth/v2/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://account.mysoleas.com/oauth/v2/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://account.mysoleas.com/oauth/v2/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://account.mysoleas.com/oauth/v2/authorize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://account.mysoleas.com/oauth/v2/authorize")
.asString();require 'uri'
require 'net/http'
url = URI("https://account.mysoleas.com/oauth/v2/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyThis endpoint starts the Sign in with Mysoleas flow.
Before calling this endpoint, the user must have a Mysoleas account and create an OAuth2 application from the dashboard:
The dashboard lets you configure the
https://mysoleas.com
client_id, allowed redirect URLs, scopes, and the information displayed during consent.
Your application redirects the user there with client_id, redirect_uri, scope, state, and PKCE parameters. After authentication and consent, Mysoleas sends a code to your redirect_uri.
Then exchange this code for a user JWT through /oauth/v2/token.
You can use this JWT to open a session in your own application. If you then call the SoleasPay gateway, get a separate token with the client_id and client_secret of the application created in SoleasPay.Query Parameters
Identifiant de l'application OAuth.
URL de retour autorisee pour l'application.
Use code for the authorization code flow.
Available options:
code Scopes demandes, par exemple openid profile email payments.
Valeur aleatoire que votre application verifie au retour.
Challenge PKCE genere par votre application.
Methode PKCE recommandee.
Available options:
S256 Response
302
Redirection vers redirect_uri avec un code OAuth2 ou une erreur.
⌘I
